// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Message/Core/CsdkMessageBase.h"
#include "Kismet/BlueprintFunctionLibrary.h"
#include "CsdkBlockLibrary.generated.h"

/**
 * 
 */
UCLASS()
class CSDKRUNTIME_API UCsdkBlockLibrary final : public UBlueprintFunctionLibrary 
{
	GENERATED_BODY()
public:
	UFUNCTION(BlueprintPure, Category="CSDK|Relationship|Block")
	static bool IsMsgSenderBlocked(UCsdkMessageBase* InMsg);
};
